> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Content

> Download the content of a completed file. Returns the JSON file content.



## OpenAPI

````yaml openapi/files.json GET /v1/files/{file_id}/content
openapi: 3.0.3
info:
  title: Files API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}/content:
    get:
      summary: Get File Object by ID
      description: >-
        Get a pre-signed URL to download the content of a completed file.
        Optionally specify the expiration time for the download URL using the
        expires_in query parameter (defaults to 600 seconds / 10 minutes).
      parameters:
        - name: file_id
          in: path
          required: true
          description: Unique identifier for the file to download.
          schema:
            type: string
        - name: expires_in
          in: query
          required: false
          description: >-
            Number of seconds until the download URL expires. Defaults to 600
            seconds (10 minutes).
          schema:
            type: integer
            default: 600
      responses:
        '200':
          description: Successful response with download URL.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: File ID
                  object:
                    type: string
                    description: The kind of object. "file" for this endpoint.
                  created:
                    type: integer
                    description: Created epoch timestamp
                  filename:
                    type: string
                    description: The filename of the uploaded file
                  bytes:
                    type: integer
                    description: File size in bytes
                  download_url:
                    type: string
                    format: uri
                    description: >-
                      Pre-signed URL for downloading the file. Expires after the
                      specified expires_in time.
                  expires_in:
                    type: integer
                    description: Number of seconds until the download URL expires
        '400':
          description: Bad request. File not completed.
        '401':
          description: Invalid API key
        '404':
          description: File not found
        '500':
          description: Internal server error
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````